1. Order
Bunjang Open API
  • Overview
  • Changelog
  • Authentication
  • Product Catalog
    • Service Base URL
    • Sample Data
    • Full Catalog Download
      GET
    • Segment Catalog Download
      GET
  • Rest API
    • Service Base URL
    • Error Codes
    • Product Category
      • List Categories
    • Brand
      • List Brands
    • Product
      • Get Product
      • Search Products
      • Filter On-Sale Products
    • Point
      • Get Point Balance
      • Create Point Charge
      • Get Point Charge
      • Cancel Point Charge
    • Order
      • Create Order
        POST
      • Confirm Order
        POST
      • Get Order
        GET
      • List Orders
        GET
      • Create Order (Deprecated)
        POST
  • Schemas
    • Product Condition
    • Product Active Sale Status
    • Order Status
  1. Order

Create Order

Prod Env
https://openapi.bunjang.co.kr
Prod Env
https://openapi.bunjang.co.kr
POST
https://openapi.bunjang.co.kr
/api/v2/orders

Request

Authorization
Provide your bearer token in the
Authorization
header when making requests to protected resources.
Example:
Authorization: Bearer ********************
Body Params application/json

Example
{
    "product": {
        "id": 12345,
        "price": 500000
    },
    "deliveryPrice": 3000,
    "shippingAddress": {
        "name": "구매자",
        "phone": "01012345678",
        "zipCode": "12345",
        "address1": "서울특별시 서초구 서초대로 38길 12",
        "address2": "10층 101호",
        "extraInfo": "#1234"
    }
}

Request Code Samples

Shell
JavaScript
Java
Swift
Go
PHP
Python
HTTP
C
C#
Objective-C
Ruby
OCaml
Dart
R
Request Request Example
Shell
JavaScript
Java
Swift
curl --location --request POST 'https://openapi.bunjang.co.kr/api/v2/orders' \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data-raw '{
    "product": {
        "id": 12345,
        "price": 500000
    },
    "deliveryPrice": 3000,
    "shippingAddress": {
        "name": "구매자",
        "phone": "01012345678",
        "zipCode": "12345",
        "address1": "서울특별시 서초구 서초대로 38길 12",
        "address2": "10층 101호",
        "extraInfo": "#1234"
    }
}'

Responses

🟢200Success
application/json
Body

Example
{
    "data": {
        "id": 1
    }
}
🟠401INVALID_AUTH_TOKEN
🟠400BAD_REQUEST
Modified at 2026-03-03 18:24:57
Previous
Cancel Point Charge
Next
Confirm Order
Built with